TelepathyQt4: ReceivedMessage Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ReceivedMessage Class Reference
[Channel proxies]

`#include <>>`

Inherits Tp::Message.

List of all members.

## Public Member Functions

- ReceivedMessage (const ReceivedMessage &other)
- ReceivedMessage & operator= (const ReceivedMessage &other)
- ~ReceivedMessage ()
- QDateTime received () const
- ContactPtr sender () const
- bool isScrollback () const
- bool isRescued () const
- bool isFromChannel (const TextChannelPtr &channel) const

## Detailed Description

<TelepathyQt4/TextChannel>

Subclass of Message, with additional information that's generally only available on received messages.

## Constructor & Destructor Documentation

ReceivedMessage | ( | const ReceivedMessage & | other | ) |

Copy constructor.

~ReceivedMessage | ( |  | ) |

Destructor.

## Member Function Documentation

ReceivedMessage & operator= | ( | const ReceivedMessage & | other | ) |

Assignment operator.

QDateTime received | ( |  | ) | const

Return the time the message was received.

Returns:
  A timestamp

ContactPtr sender | ( |  | ) | const

Return the Contact who sent the message, or ContactPtr(0) if unknown.

Returns:
  The sender or ContactPtr(0)

bool isScrollback | ( |  | ) | const

Return whether the incoming message was part of a replay of message history.

If true, loggers can use this to improve their heuristics for elimination of duplicate messages (a simple, correct implementation would be to avoid logging any message that has this flag).

Returns:
  whether the scrollback flag is set

bool isRescued | ( |  | ) | const

Return whether the incoming message was seen in a previous channel during the lifetime of this Connection, but was not acknowledged before that chanenl closed, causing the channel in which it now appears to open.

If true, loggers should not log this message again.

Returns:
  whether the rescued flag is set

bool isFromChannel | ( | const TextChannelPtr & | channel | ) | const